%define aurox_ver 9.3
%define rel 1


%define name pygame
%define version 1.6
%{expand:%%define py_ver %(python2 -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}
%define lib_name_orig lib%{name}
%define lib_major 1.6
%define lib_name %{lib_name_orig}%{lib_major}

Name:		%{name}
Version:	%{version}
Release: 	%{aurox_ver}.aur.%{rel}
Source:		http://pygame.seul.org/%{name}-%{version}.tar.gz
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPL style
Group:		System Environment/Libraries
URL:		http://pygame.seul.org/
Requires:	SDL >= 1.2.2 python-numeric
BuildRequires:	python-numeric SDL_mixer-devel SDL_image-devel SDL_ttf-devel smpeg-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}


%description
pygame is a Python wrapper module for the SDL multimedia library, written by
Pete Shinners.  It contains python functions and classes that will allow you to
use SDL's support for playing cdroms, audio and video output, and keyboard,
mouse and joystick input. pygame also includes support for the Numerical Python
extension. pygame is the successor to the pySDL wrapper project, written by
Mark Baker.



%package doc
Summary: Pygame documentation and example programs
Group: Development/Python
%description doc
pygame is a Python wrapper module for the SDL multimedia library, written by
Pete Shinners.  It contains python functions and classes that will allow you to
use SDL's support for playing cdroms, audio and video output, and keyboard,
mouse and joystick input. pygame also includes support for Numerical Python
extension. pygame is the successor to the pySDL wrapper project, written by
Mark Baker.

Install pygame-doc if you need the API documentation and example programs.




%prep
%setup -q

%build
python2 config.py
python2 setup.py build

%install
python2 setup.py install --prefix $RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/%{name}/*
%{_includedir}/python%{py_ver}/%{name}/*
%doc WHATSNEW readme.txt readme.html


%files doc
%defattr(-,root,root)
%doc docs/
%doc examples/

%changelog
* Wed Feb 11 2004 Aurox Team <aurox@aurox.org> 0:1.6-9.3.aur.1
- import package which did not make it to Aurox 9.1
- update to current stable version 1.6

* Thu Oct 23 2003 Robert Glowczynski <robertg@software.com.pl> 1.5.6-9.1.aur.1
- build for Aurox

* Tue Jun 10 2003 Shandy Brown <sjspam@geeky.net> 1.5.6-1
- added Packager attribute

* Wed Aug 14 2002 Pete Shinners <pete@shinners.org> 1.5.2-1
- new patch release

* Sun Jun 02 2002 Pete Shinners <pete@shinners.org> 1.5-2
- uses 'python2' executable

* Wed May 29 2002 Pete Shinners <pete@shinners.org> 1.5
- updated for 1.5

* Thu May 23 2002 Han Boetes <han@mijncomputer.nl> 1.4.9-1mdk
- initial mdk build.

* Tue Jan 29 2002 David Clark
- Packaged 1.4 release.
